package com.bjtdba.merchant.config;

import org.springframework.beans.factory.annotation.Value;
import org.springframework.context.annotation.Configuration;
import org.springframework.context.annotation.PropertySource;
@Configuration
@PropertySource(value="classpath:application-adapay.yml")
public class ResourceConfig {
    @Value("${huifu.ali_app_id}")
    private String ali_app_id;

    @Value("${huifu.ali_apiKey_live}")
    private String ali_apikey_live;

    @Value("${huifu.ali_apiKey_test}")
    private String ali_apikey_test;

    @Value("${huifu.ali_rsaPrivateKey}")
    private String ali_rsaPrivateKey;

    @Value("${huifu.ali_reaPublicKry}")
    private String ali_reaPublicKry;

    @Value("${huifu.wx_app_id}")
    private String wx_app_id;

    @Value("${huifu.wx_apiKey_live}")
    private String wx_apikey_live;

    @Value("${huifu.wx_apiKey_test}")
    private String wx_apikey_test;

    @Value("${huifu.wx_rsaPrivateKey}")
    private String wx_rsaPrivateKey;

    @Value("${huifu.wx_reaPublicKry}")
    private String wx_reaPublicKry;

    @Value("${huifu.wx2_app_id}")
    private String wx2_app_id;

    @Value("${huifu.wx2_apiKey_live}")
    private String wx2_apikey_live;

    @Value("${huifu.wx2_apiKey_test}")
    private String wx2_apikey_test;

    @Value("${huifu.wx2_rsaPrivateKey}")
    private String wx2_rsaPrivateKey;

    @Value("${huifu.wx2_reaPublicKry}")
    private String wx2_reaPublicKry;

    //@Value("${huifu.urlWx}")
    //private String urlWx;

    //@Value("${huifu.urlAli}")
    //private String urlAli;

    public String getAli_app_id() {
        return ali_app_id;
    }

    public void setAli_app_id(String ali_app_id) {
        this.ali_app_id = ali_app_id;
    }

    public String getWx_app_id() {
        return wx_app_id;
    }

    public void setWx_app_id(String wx_app_id) {
        this.wx_app_id = wx_app_id;
    }

    public String getAli_apikey_live() {
        return ali_apikey_live;
    }

    public void setAli_apikey_live(String ali_apikey_live) {
        this.ali_apikey_live = ali_apikey_live;
    }

    public String getAli_apikey_test() {
        return ali_apikey_test;
    }

    public void setAli_apikey_test(String ali_apikey_test) {
        this.ali_apikey_test = ali_apikey_test;
    }

    public String getAli_rsaPrivateKey() {
        return ali_rsaPrivateKey;
    }

    public void setAli_rsaPrivateKey(String ali_rsaPrivateKey) {
        this.ali_rsaPrivateKey = ali_rsaPrivateKey;
    }

    public String getAli_reaPublicKry() {
        return ali_reaPublicKry;
    }

    public void setAli_reaPublicKry(String ali_reaPublicKry) {
        this.ali_reaPublicKry = ali_reaPublicKry;
    }

    public String getWx_apikey_live() {
        return wx_apikey_live;
    }

    public void setWx_apikey_live(String wx_apikey_live) {
        this.wx_apikey_live = wx_apikey_live;
    }

    public String getWx_apikey_test() {
        return wx_apikey_test;
    }

    public void setWx_apikey_test(String wx_apikey_test) {
        this.wx_apikey_test = wx_apikey_test;
    }

    public String getWx_rsaPrivateKey() {
        return wx_rsaPrivateKey;
    }

    public void setWx_rsaPrivateKey(String wx_rsaPrivateKey) {
        this.wx_rsaPrivateKey = wx_rsaPrivateKey;
    }

    public String getWx_reaPublicKry() {
        return wx_reaPublicKry;
    }

    public void setWx_reaPublicKry(String wx_reaPublicKry) {
        this.wx_reaPublicKry = wx_reaPublicKry;
    }

    public String getWx2_app_id() {
        return wx2_app_id;
    }

    public void setWx2_app_id(String wx2_app_id) {
        this.wx2_app_id = wx2_app_id;
    }

    public String getWx2_apikey_live() {
        return wx2_apikey_live;
    }

    public void setWx2_apikey_live(String wx2_apikey_live) {
        this.wx2_apikey_live = wx2_apikey_live;
    }

    public String getWx2_apikey_test() {
        return wx2_apikey_test;
    }

    public void setWx2_apikey_test(String wx2_apikey_test) {
        this.wx2_apikey_test = wx2_apikey_test;
    }

    public String getWx2_rsaPrivateKey() {
        return wx2_rsaPrivateKey;
    }

    public void setWx2_rsaPrivateKey(String wx2_rsaPrivateKey) {
        this.wx2_rsaPrivateKey = wx2_rsaPrivateKey;
    }

    public String getWx2_reaPublicKry() {
        return wx2_reaPublicKry;
    }

    public void setWx2_reaPublicKry(String wx2_reaPublicKry) {
        this.wx2_reaPublicKry = wx2_reaPublicKry;
    }
}
